Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Interface UserDatabase

All Known Implementing Classes:
  HomesUserDatabase, PasswdUserDatabase

    public interface UserDatabase

Abstraction of the set of users defined by the operating system on the current server platform.

Author:
  Craig R. McClanahan

Method Summary
`java.lang.String` | `getHome(java.lang.String user)` Return an absolute pathname to the home directory for the specified user.
`UserConfig` | `getUserConfig()` Return the UserConfig listener with which we are associated.
`java.util.Enumeration` | `getUsers()` Return an enumeration of the usernames defined on this server.
`void` | `setUserConfig(UserConfig userConfig)` Set the UserConfig listener with which we are associated.

Method Detail

### getUserConfig

    UserConfig getUserConfig()

  Return the UserConfig listener with which we are associated.

### setUserConfig

    void setUserConfig(UserConfig userConfig)

  Set the UserConfig listener with which we are associated.

  Parameters:
    `userConfig` - The new UserConfig listener

### getHome

    java.lang.String getHome(java.lang.String user)

  Return an absolute pathname to the home directory for the specified user.

  Parameters:
    `user` - User for which a home directory should be retrieved

### getUsers

    java.util.Enumeration getUsers()

  Return an enumeration of the usernames defined on this server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.